Get Upload History
GET
https://api.monetate.net/api/data/v1/{retailerShortname}/production/upload/{schema-name}/
Path Parameters
- schema-namestringrequiredDescription
Responses
200
- FileUploadListResponse
- metaResponseMetaPaginationrequired
- ResponseMeta
- codeintegerrequiredExampleDescription
- warningsobject[]Description
- errorsobject[]Description
- ResponsePagination
- countintegerExampleDescription
- nextstringDescription
- previousstringDescription
- dataFileUpload[]requiredDescription
- statusstring<PENDING | PROCESSING | COMPLETE | VALIDATION_ERROR | SYSTEM_ERROR | SKIPPED | TIMEOUT_ERROR | MAX_LOAD_ATTEMPTS_REACHED>DescriptionAllowedPENDINGPROCESSINGCOMPLETEVALIDATION_ERRORSYSTEM_ERRORSKIPPEDTIMEOUT_ERRORMAX_LOAD_ATTEMPTS_REACHED
- upload_timestring<date-time>DescriptionFormatdate-time
- import_start_timestring<date-time>DescriptionFormatdate-time
- import_end_timestring<date-time>DescriptionFormatdate-time
- validation_errorsstring[]Description
- validation_warningsstring[]Description
401
- Response
- metaResponseMetarequired
- codeintegerrequiredExampleDescription
- warningsobject[]Description
- errorsobject[]Description
- dataResponseAnyDatarequired
403
- Response
- metaResponseMetarequired
- codeintegerrequiredExampleDescription
- warningsobject[]Description
- errorsobject[]Description
- dataResponseAnyDatarequired
404
- Response
- metaResponseMetarequired
- codeintegerrequiredExampleDescription
- warningsobject[]Description
- errorsobject[]Description
- dataResponseAnyDatarequired
500
- Response
- metaResponseMetarequired
- codeintegerrequiredExampleDescription
- warningsobject[]Description
- errorsobject[]Description
- dataResponseAnyDatarequired
curl
curl --request GET \
--url https://api.monetate.net/api/data/v1/{retailerShortname}/production/upload/{schema-name}/ \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.monetate.net/api/data/v1/{retailerShortname}/production/upload/{schema-name}/", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.monetate.net/api/data/v1/{retailerShortname}/production/upload/{schema-name}/")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.monetate.net/api/data/v1/{retailerShortname}/production/upload/{schema-name}/"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// A list of file uploads.
{
"meta": {},
"data": [
{
"status": "",
"upload_time": "",
"import_start_time": "",
"import_end_time": "",
"validation_errors": [
""
],
"validation_warnings": [
""
]
}
]
}401
// Unauthorized.
The request did not include a token, or the token provided was invalid. Please ensure that your token is correct and that the Authorization header is properly formatted.
{
"meta": {
"code": 200,
"warnings": [
{}
],
"errors": [
{}
]
},
"data": {}
}403
// Forbidden.
The request included a token that has been revoked. Please contact your account administrator to generate a new token.
{
"meta": {
"code": 200,
"warnings": [
{}
],
"errors": [
{}
]
},
"data": {}
}404
// Not found.
The resource you are trying to fetch does not exist, or has been deleted.
{
"meta": {
"code": 200,
"warnings": [
{}
],
"errors": [
{}
]
},
"data": {}
}500
// Unknown error.
Please try again or contact your account manager for more information.
{
"meta": {
"code": 200,
"warnings": [
{}
],
"errors": [
{}
]
},
"data": {}
}